Class AssetSearchRequest
java.lang.Object
com.eqixiac.equinix.customerportal.model.json.creators.AssetSearchRequest
Request for searching assets (
POST /v1/assets/search, AssetsSearchRequest).
The serialized body carries a typed filter (ibxs, cages,
productTypes and a dateRange). The optional search query parameters
(q, source, exactMatch, sorts) are carried out-of-band (not
serialized in the body) and applied as query parameters by the client. source and
sorts are collectionFormat: csv in the spec and are sent comma-separated.
-
Constructor Summary
ConstructorsConstructorDescriptionAssetSearchRequest(AssetSearchFilter filter) Creates an asset search request with a typed filter. -
Method Summary
Modifier and TypeMethodDescriptionexactMatch(Boolean exactMatch) Sets whether the free-text query should match exactly (exactMatchquery parameter).Sets the free-text search query (qquery parameter).Sets the result sort expressions (sortsquery parameter).source(List<AssetSearchSource> source) Restricts the fields the free-text query is matched against (sourcequery parameter).
-
Constructor Details
-
AssetSearchRequest
Creates an asset search request with a typed filter.- Parameters:
filter- the search filter, ornullto search without filtering
-
-
Method Details
-
q
Sets the free-text search query (qquery parameter).- Parameters:
q- the search query- Returns:
- this request
-
source
Restricts the fields the free-text query is matched against (sourcequery parameter).- Parameters:
source- the fields to search, ornullto search all fields- Returns:
- this request
-
exactMatch
Sets whether the free-text query should match exactly (exactMatchquery parameter).- Parameters:
exactMatch-truefor an exact match- Returns:
- this request
-
sorts
Sets the result sort expressions (sortsquery parameter).- Parameters:
sorts- the sort fields from the spec enum, for exampleIBXor-INSTALLED_DATE(a leading-sorts descending)- Returns:
- this request
-